> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Lists all disks within a specified parent.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /compute/v1/disks
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /compute/v1/disks:
    get:
      tags:
        - nebius.compute.v1.DiskService
      summary: List
      description: Lists all disks within a specified parent.
      operationId: DiskService_List
      parameters:
        - in: query
          name: parentId
          schema:
            type: string
        - in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - in: query
          name: pageToken
          schema:
            type: string
        - in: query
          name: filter
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListDisksResponse'
          description: A successful response.
components:
  schemas:
    v1ListDisksResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/v1Disk'
          type: array
        nextPageToken:
          type: string
      type: object
    v1Disk:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/nebiusComputeV1DiskSpec'
        status:
          $ref: '#/components/schemas/v1DiskStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    nebiusComputeV1DiskSpec:
      properties:
        blockSizeBytes:
          description: >-
            Block size in bytes.

            The block size must be a power of two between 4096 bytes (4 KiB) and
            131072 bytes (128 KiB).

            The default value is 4096 bytes (4 KiB).
          format: int64
          type: string
        diskEncryption:
          $ref: '#/components/schemas/v1DiskEncryption'
        forbidDeletion:
          title: Prevents deletion whilst set
          type: boolean
        sizeBytes:
          format: int64
          type: string
        sizeGibibytes:
          format: int64
          type: string
        sizeKibibytes:
          format: int64
          type: string
        sizeMebibytes:
          format: int64
          type: string
        sourceImageFamily:
          $ref: '#/components/schemas/v1SourceImageFamily'
        sourceImageId:
          type: string
        sourceSnapshotId:
          type: string
        type:
          $ref: '#/components/schemas/nebiusComputeV1DiskSpecDiskType'
      required:
        - type
      type: object
    v1DiskStatus:
      properties:
        blockSizeBytes:
          format: int64
          type: string
        lockState:
          $ref: '#/components/schemas/v1DiskStatusLockState'
        managedBy:
          description: >-
            Indicates whether the disk is deleted along with an instance.

            Set only for disks declared in the instance spec.

            If set, the value is the instance ID that manages this disk's
            lifecycle (the disk is deleted when that instance is deleted).

            To change this value, update the instance specification (see
            AttachedDiskSpec.type).
          type: string
        readOnlyAttachments:
          items:
            type: string
          type: array
        readWriteAttachment:
          description: >-
            Current read-write owner (instance ID).

            May refer to an instance in any state, including stopped

            (this semantics is preserved for backward compatibility).

            Reassigned on disk detach, instance deletion, or ownership transfer.

            Ownership transfer occurs when this disk is explicitly attached to
            another instance

            or when a VM with this disk attached starts while the current owner
            is stopped.
          type: string
        reconciling:
          title: Indicates whether there is an ongoing operation
          type: boolean
        sizeBytes:
          format: int64
          type: string
        sourceImageCpuArchitecture:
          $ref: '#/components/schemas/DiskStatusSourceImageCPUArchitecture'
        sourceImageId:
          type: string
        state:
          $ref: '#/components/schemas/v1DiskStatusState'
        stateDescription:
          type: string
      type: object
    v1DiskEncryption:
      properties:
        type:
          $ref: '#/components/schemas/DiskEncryptionDiskEncryptionType'
      type: object
    v1SourceImageFamily:
      properties:
        imageFamily:
          type: string
        parentId:
          type: string
      required:
        - imageFamily
      type: object
    nebiusComputeV1DiskSpecDiskType:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - NETWORK_SSD
        - NETWORK_HDD
        - NETWORK_SSD_NON_REPLICATED
        - NETWORK_SSD_IO_M3
      title: >-
        the list of available types will be clarified later, it is not final
        version
      type: string
    v1DiskStatusLockState:
      properties:
        images:
          description: >-
            Disk is locked for deletion and for read-write operations while
            image is being created.

            Here is the list of these images.
          items:
            type: string
          type: array
        snapshots:
          description: |-
            Disk is locked only for deletion while snapshot is being created.
            Here is the list of these snapshots.
          items:
            type: string
          type: array
      type: object
    DiskStatusSourceImageCPUArchitecture:
      default: SOURCE_IMAGE_CPU_UNSPECIFIED
      enum:
        - SOURCE_IMAGE_CPU_UNSPECIFIED
        - AMD64
        - ARM64
      type: string
    v1DiskStatusState:
      default: UNSPECIFIED
      description: |2-
         - ERROR: Indicates that error happened during disk creation, and the disk cannot be recovered.
         - BROKEN: Indicates that an error has occurred during the disk's life cycle, and the disk is broken or unhealthy, but can still be recovered.
      enum:
        - UNSPECIFIED
        - CREATING
        - READY
        - UPDATING
        - DELETING
        - ERROR
        - BROKEN
      type: string
    DiskEncryptionDiskEncryptionType:
      default: DISK_ENCRYPTION_UNSPECIFIED
      description: >2-
         - DISK_ENCRYPTION_UNSPECIFIED: No encryption is applied unless explicitly specified.
         - DISK_ENCRYPTION_MANAGED: Enables encryption using the platform's default root key from KMS.
        Available for disks with NETWORK_SSD_NON_REPLICATED and
        NETWORK_SSD_IO_M3 types only.
      enum:
        - DISK_ENCRYPTION_UNSPECIFIED
        - DISK_ENCRYPTION_MANAGED
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````